Subject: bug#37585: Undefined behavior in nl, print_lineno

From: Roland Illig <[email-masked]>
Date: Thu, 3 Oct 2019 22:17:26 +0200

Am 03.10.2019 um 21:43 schrieb Paul Eggert:
> Thanks for the bug report. I looked for similar problems involving
> integer-overflow diagnostics in coreutils and installed the attached
> patches. The second patch should fix the bug you mentioned.

Ah, the code looks so much simpler and nicer with the high-level
overflow check macros in place. Thank you for analyzing and fixing this
thoroughly.